Page MenuHomePhabricator

[Migrated] Some problems with AWB on commons
Closed, ResolvedPublic

Description

96.255.237.170 (talk) 15:14, 18 April 2015 (UTC) wrote:

Some problems with AWB periodically come up when its used on commons but most of the people who use AWB there are blocked here so they cannot report them and it doesn't look like anyone from the AWB team every looks there. I personally am more interested in building up the projects than whether I get blocked for helpful contributions so here are a couple that I have seen.

  1. Could AWB be changed to remove double categories on commons like it does on ENWP. This can be tested by adding double categories to a userspace sandbox page.
  2. AWB attempts to add Commons:Category:Living people to things that appear to be living people but Category:Living people is a redirect to People by name there.
    1. When AWB adds the above it adds it at the bottom of the page regardless of where categories are
    2. AWB should not add it if the category is already present.
    3. AWB should add Commons:Category:People by name to categories if they are about living people and do not already contain it. This can be done by looking at the People related categories like it does on ENWP.
  3. AWB often tries to remove the en. from links to [[en.Aricle name]] and it shouldn't.

Site Commons
OS Windows 78
Version 5.5.6.0
Workaround Turn off all the automatic editing features

Event Timeline

Josve05a created this task.May 16 2015, 2:10 AM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added projects: AutoWikiBrowser, Commons.
Josve05a added a subscriber: Josve05a.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2015, 2:10 AM

@Magioladitis 19:23, 18 April 2015 (UTC) wrote:

  1. Confirmed.
  2. Confirmed. We 'll just drop the addition I guess.
  3. Not Confirmed. [https://commons.wikimedia.org/w/index.php?title=Category:Chris_Barnes_%28bowler%29&action=history].

96.255.237.170 (talk) 19:34, 18 April 2015 (UTC) wrote:

Thank you for the speedy action. Number 3 most often occurs when the interwiki links appear before the categories. If I find a couple I'll drop the links here.

@Magioladitis 19:39, 18 April 2015 (UTC) wrote:

Thanks. I think we can fix all of these.

96.255.237.170 (talk) 20:12, 18 April 2015 (UTC) wrote:

Your welcome and thank you. I did find one for number 3. Take a look at Commons:Category:John Alexander Hammerton.

@Magioladitis 22:32, 18 April 2015 (UTC) wrote:

It turns the best we could do is enable meta data sort for commons and disable adding Living people category on commons.

96.255.237.170 (talk) 23:04, 18 April 2015 (UTC) wrote:

Ok thanks. I think its safe to say the adding of Living people is undesired and should be disabled but could you clarify what effect turning on meta data sort would have?

@Magioladitis 23:07, 18 April 2015 (UTC) wrote:

Hm.. my comment was mainly a self-note. It's a function we use to sort categories. Check WP:AWB/GF.

Should we split these three features into different Phabricator requests?

Jarekt added a subscriber: Jarekt.Jul 7 2015, 2:55 PM

En-wiki "general fixes" should be disabled on other projects, preferably automatically but if not than by hand. Commons or other projects should develop their own set of general fixes, which would be applied if you change projects.

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJul 7 2015, 2:55 PM

@Jarekt, I don't agree it should be disabled. I think the General fixes should be redesigned to be more like the Alerts so that projects can select the parts they want to use. This is also true of individuals even on ENWP. There are a number of general fixes that some people do not want to use even in ENWP.

It would require a bit of effort, but in the long term I think it would be beneficial to the users and to the developers. If done, the developers wouldn't need a bunch of extra code to exclude one project or another, the individual could just check or uncheck the box.

I do agree that Commons should develop its own set of general fixes. There are a lot of things that could be done and if you have suggestions I recommend submitting them. Even if they don't get done right away it would be beneficial to have a list.

Josve05a changed the task status from Invalid to Resolved.Sep 21 2015, 2:05 PM
Josve05a edited projects, added Tracking-Neverending; removed WorkType-Maintenance.
Josve05a set Security to None.